Skip to content

Query audit logs

GET
/audit

Supports filtering by resource path prefix, time range, and field name.
Supports cursor-based pagination using after/before parameters.

Parameters

Query Parameters

pathPrefix

Optional resource path prefix filter (e.g., "iam/users")

Type
string
from

Optional start timestamp (ISO 8601)

Type
string
Format
"date-time"
to

Optional end timestamp (ISO 8601)

Type
string
Format
"date-time"
field

Optional field name to filter entries that have changes to this field

Type
string
after

Optional cursor for forward pagination (AuditLogEntryId)

Type
string
Format
"uuid"
before

Optional cursor for backward pagination (AuditLogEntryId)

Type
string
Format
"uuid"
limit

Number of results per page (default: 50, max: 100)

Type
integer
Format
"int32"
Default
50

Responses

OK

JSON
{
  
"entries": [
  
  
{
  
  
  
"auditLogEntryId": "string",
  
  
  
"resourcePath": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"action": "string",
  
  
  
"timestamp": "string",
  
  
  
"changes": [
  
  
  
  
{
  
  
  
  
  
"field": "string",
  
  
  
  
  
"oldValue": "string",
  
  
  
  
  
"newValue": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"identityId": "string"
  
  
}
  
],
  
"hasMore": true,
  
"nextCursor": "string",
  
"prevCursor": "string"
}

Samples

© 2024 Hantera AB. All rights reserved.